---
title: "Turn one nurture task on / off"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/nurture.set_task_enabled
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Turn one nurture task on / off

Enable or disable one nurture task of an account.

Enable or disable one nurture task of an account.

## Overview

| Name | Value |
| --- | --- |
| Code | `nurture.set_task_enabled` |
| New code (v2) | `nurture_plans.set_task_enabled` |
| Scope needed | `nurture.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Account nurture → account |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `taskId` | `uuid` | Yes |   |
| `enabled` | `true/false` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/nurture.set_task_enabled \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"taskId":"00000000-0000-0000-0000-000000000000","enabled":true}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "nurture.set_task_enabled"`. Tool name when listed: `nurture_set_task_enabled`.
